import { post } from "@/request/axios.js";

export const setHazardAnalysisSubmit = (params) =>
  post("/riskpointanalysis/add", params); // 隐患分析提交
export const getRiskAnalysisList = (params) =>
  post("/riskpointanalysis/list", params); // 风险分析列表
export const setRiskAnalysisRepulse = (params) =>
  post("/riskpointanalysis/delete", params); // 风险分析打回
export const setRiskAnalysisAdopt = (params) =>
  post("/riskpointanalysis/apply", params); // 风险分析通过
export const getRiskAnalysisRecordList = (params) =>
  post("/riskpoint/getLogs", params); // 风险分析记录列表
export const getRiskAnalysisRecordView = (params) =>
  post("/riskpointanalysis/getInfo", params); // 风险分析记录查看
// 企业报告 start
export const getEnterpriseReport1 = (params) =>
  post("/corpinfo/getDiagnosis", params);
export const getEnterpriseReport2 = (params) =>
  post("/jobEvaluation/counlistPaget?showCount=1000&currentPage=1", params);
export const getEnterpriseReport3 = (params) =>
  post("/studytask/list?showCount=100&currentPage=1", params);
export const getEnterpriseReport4 = (params) =>
  post("/confinedspace/getDiagnosis", params);
export const getEnterpriseReport5 = (params) =>
  post("/performanceexamine_dept/listAll", params);
export const getEnterpriseReport6 = (params) =>
  post("/performanceexamine_user/listAll", params);
export const getEnterpriseReportConclusion = (params) =>
  post("/corpadvice/listAll", params); // 企业报告结论
export const setEnterpriseReportConclusionEdit = (params) =>
  post("/corpadvice/edit", params); // 企业报告结论编辑
export const setEnterpriseReportConclusionAdd = (params) =>
  post("/corpadvice/add", params); // 企业报告结论新增
// 企业报告 end
